> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a Dedicated account for a currency+country pair.

> Send a request for an Account creation to the Ebury dealers, for a specific currency+country pair. The request can only be sent if the capability is enabled for provided currency and country. Requests are cached to avoid multiple requests for the same account at once.




## OpenAPI

````yaml /openapi.json post /account-details/request
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /account-details/request:
    post:
      tags:
        - Account details
      summary: Request a Dedicated account for a currency+country pair.
      description: >
        Send a request for an Account creation to the Ebury dealers, for a
        specific currency+country pair. The request can only be sent if the
        capability is enabled for provided currency and country. Requests are
        cached to avoid multiple requests for the same account at once.
      parameters:
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - name: client_id
          in: query
          description: ID of the client that owns the account
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestAccount'
        description: Request Payload
        required: true
      responses:
        '200':
          description: Account requested successfully.
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: |
            Missing client_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '409':
          description: |
            Account cannot be requested (capability might be disabled)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '429':
          description: Too many requests
components:
  schemas:
    RequestAccount:
      description: This model is a representation of the request account body.
      type: object
      properties:
        currency:
          description: Currency code
          type: string
        country:
          description: Country code
          type: string
      required:
        - currency
        - country
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````